## ayatana-indicator-application 22.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(ayatana-indicator-application C)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# Check for prerequisites

set(CMAKE_BUILD_TYPE "Release")
find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED glib-2.0>=2.58 ayatana-indicator3-0.4>=0.6.2 gtk+-3.0>=3.24 ayatana-appindicator3-0.1>=0.5.3 dbus-glib-1>=0.110 dbusmenu-gtk3-0.4)

# Set global variables

include(GNUInstallDirs)
set(PROJECT_VERSION "22.2.0")
set(PROJECT_NAME "ayatana-indicator-application")

# Make everything

add_subdirectory(data)
add_subdirectory(src)

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()
endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
# ayatana-indicator-application.service

###########################
# Systemd Job
###########################

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

  # where to install
  pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
  message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

  set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
  set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
  set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

  # build it
  configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

  # install it
  install (FILES "${SYSTEMD_USER_FILE}"
           DESTINATION "${SYSTEMD_USER_DIR}")
endif()

###########################
# XDG Autostart
###########################

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator-application.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-application.desktop" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-application.desktop" DESTINATION "/etc/xdg/autostart")

###########################
# ordering-override.keyfile
###########################

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/ordering-override.keyfile" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/ayatana-indicator-application")

=== src/CMakeLists.txt ===
# gen-ayatana-application-service.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-ayatana-application-service.xml.h" "extern const char * _ayatana_application_service;")

# gen-ayatana-application-service.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-application-service.xml" GEN_AYATANA_APPLICATION_SERVICE_XML_C)
string(REPLACE "\"" "\\\"" GEN_AYATANA_APPLICATION_SERVICE_XML_C ${GEN_AYATANA_APPLICATION_SERVICE_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_AYATANA_APPLICATION_SERVICE_XML_C ${GEN_AYATANA_APPLICATION_SERVICE_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_AYATANA_APPLICATION_SERVICE_XML_C ${GEN_AYATANA_APPLICATION_SERVICE_XML_C})
string(PREPEND GEN_AYATANA_APPLICATION_SERVICE_XML_C "const char * _ayatana_application_service = \n\"")
string(APPEND GEN_AYATANA_APPLICATION_SERVICE_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-ayatana-application-service.xml.c" ${GEN_AYATANA_APPLICATION_SERVICE_XML_C})

# ayatana-application-service-marshal.h

find_program(GLIB_GENMARSHAL glib-genmarshal)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_ayatana_application_service_marshal
    --header ayatana-application-service-marshal.list
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.h"
)

# ayatana-application-service-marshal.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_ayatana_application_service_marshal
    --body ayatana-application-service-marshal.list
    --include-header=ayatana-application-service-marshal.h
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.c"
)

# ayatana-notification-watcher-server.h

find_program(DBUS_BINDING_TOOL dbus-binding-tool)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-notification-watcher-server.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-application-service-marshal.c"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${DBUS_BINDING_TOOL}
    --prefix=_ayatana_notification_watcher_server
    --mode=glib-server
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-notification-watcher-server.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-notification-watcher.xml"
)

# ayatana-notification-watcher-client.h

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-notification-watcher-client.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/ayatana-notification-watcher-server.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${DBUS_BINDING_TOOL}
    --prefix=_ayatana_notification_watcher_client
    --mode=glib-client
    --output="${CMAKE_CURRENT_BINARY_DIR}/ayatana-notification-watcher-client.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ayatana-notification-watcher.xml"
)

add_custom_target("src-generated" DEPENDS "ayatana-notification-watcher-client.h")

# libayatana-application.so

set(SOURCES
    ayatana-application-service-marshal.c
    indicator-application.c
)

add_library("ayatana-application" SHARED ${SOURCES})
target_compile_definitions("ayatana-application" PUBLIC G_LOG_DOMAIN="Ayatana-Indicator-Application")
target_include_directories("ayatana-application" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("ayatana-application" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries("ayatana-application" ${PROJECT_DEPS_LIBRARIES})
add_dependencies("ayatana-application" "src-generated")
pkg_get_variable(indicatordir "ayatana-indicator3-0.4" "indicatordir")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-application.so" DESTINATION "${indicatordir}")

# ayatana-indicator-application-service

set(SOURCES
    application-service.c
    application-service-appstore.c
    ayatana-application-service-marshal.c
    application-service-watcher.c
    gen-ayatana-application-service.xml.c
    generate-id.c
)

add_executable("ayatana-indicator-application-service" ${SOURCES})
target_compile_definitions("ayatana-indicator-application-service" PUBLIC DATADIR="${CMAKE_INSTALL_FULL_DATADIR}/ayatana-indicator-application")
target_compile_definitions("ayatana-indicator-application-service" PUBLIC G_LOG_DOMAIN="ayatana-indicator-application-service")
target_include_directories("ayatana-indicator-application-service" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("ayatana-indicator-application-service" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries("ayatana-indicator-application-service" ${PROJECT_DEPS_LIBRARIES})
add_dependencies("ayatana-indicator-application-service" "ayatana-application")
install(TARGETS "ayatana-indicator-application-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/ayatana-indicator-application")

## ayatana-indicator-application 0.5.2

=== debian/changelog ===
ayatana-indicator-application (0.5.2-2) unstable; urgency=medium

  * debian/changelog: post-upload changelog fix for 0.5.2-1
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + White-space fix.
    + Drop now inherent build-dep dh-autoreconf.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream tarball.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 16:52:47 +0200

ayatana-indicator-application (0.5.2-1) unstable; urgency=medium

  * Upload to unstable.

  * New upstream release.
  * debian/{control,copyright,watch}:
    + Update to new upstream URLs.
  * debian/control:
    + Bump to new Standards-Version: 4.1.1. No changes needed.
    + Update B-D on systemd. Only required/available on [linux-any].
  * debian/{compat,control}:
    + Bump to DH version level 10.
  * debian/rules:
    + Migrate to dh_missing.
  * debian/patches:
    + Add 0001-Make-systemd-optional.-If-systemd-is-not-available-a.patch
      from upstream. Make systemd optional, fixes FTBFS on non-linux based
      Debian systems.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 11:35:35 +0200

ayatana-indicator-application (0.5.1-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863617).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 May 2017 13:17:41 +0200

=== debian/control ===
Source: ayatana-indicator-application
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 10.3~),
               dbus-test-runner,
               dpkg-dev (>= 1.16.1.1),
               mate-common,
               xvfb,
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91),
               libdbus-glib-1-dev (>= 0.82),
               libjson-glib-dev,
               intltool,
               libayatana-appindicator3-dev (>= 0.5.0~),
               libayatana-indicator3-dev (>= 0.6.0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               systemd [linux-any],
Standards-Version: 4.2.0
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application

Package: ayatana-indicator-application
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Description: Ayatana Application Indicators
 An indicator to take menus from external applications and place them in
 the panel.
 .
 The application supporting indicator based panel applets provides its
 menu tree via the DBus bus org.kde.StatusNotifierWatcher.
 .
 This version of application indicators accepts connections from any
 application built against either of the available indicator frameworks:
 Ayatana Indicators and Ubuntu Indicators.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-application/ayatana-indicator-application-(.+)\.tar\.gz

## ayatana-indicator-application 0.5.3

=== debian/changelog ===
ayatana-indicator-application (0.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Avoid GLib2.0's deprecated privates ABI. (Closes: #945566)."
  * debian/patches:
    + Drop 0001-Make-systemd-optional.-If-systemd-is-not-available-a.patch.
      Shipped upstream.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Set Section: from gnome to x11.
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Nov 2019 11:19:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ayatana-indicator-application
-Section: gnome
+Section: x11
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: debhelper-compat (= 12),
                dbus-test-runner,
                dpkg-dev (>= 1.16.1.1),
                mate-common,
@@ -19,7 +19,8 @@
                libdbusmenu-glib-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                systemd [linux-any],
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_install:
	find debian/ayatana-indicator-application/usr/lib -name *.la -delete
	find debian/ayatana-indicator-application/usr/lib -name *.a -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-application 0.8.0

=== debian/changelog ===
ayatana-indicator-application (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dbus-test-runner,
                dpkg-dev (>= 1.16.1.1),
                mate-common,
@@ -19,7 +19,7 @@
                libdbusmenu-glib-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ayatana-indicator-common,
+         ayatana-indicator-common (>= 0.8.0),
 Description: Ayatana Application Indicators
  An indicator to take menus from external applications and place them in
  the panel.

## ayatana-indicator-application 22.2.0

=== debian/changelog ===
ayatana-indicator-application (22.2.0-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060549).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:39:54 +0200

ayatana-indicator-application (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 16:37:24 +0100

ayatana-indicator-application (0.8.91-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 27 Jan 2022 14:57:34 +0100

ayatana-indicator-application (0.8.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,rules}:
    + Adjust to new build system (CMake).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Drop B-Ds: dbus-test-runner, xvfb. Not needed, no unit tests in this
      package.
    + Break too-long-line in LONG_DESCRIPTION; fix capitalization of Xfce.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/watch:
    + Use format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Dec 2021 08:12:32 +0100

=== debian/control ===
Source: ayatana-indicator-application
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake (>= 3.13),
               cmake-extras,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91),
               libdbus-glib-1-dev (>= 0.82),
               libjson-glib-dev,
               intltool,
               libayatana-appindicator3-dev (>= 0.5.0~),
               libayatana-indicator3-dev (>= 0.6.0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-application
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-application.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-application

Package: ayatana-indicator-application
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
Description: Ayatana Applications Indicator (SNI provider)
 This Ayatana System Indicator takes menus from external applications and
 place them in the panel / designated indicator area.
 .
 An application supporting indicator based panel applets provides its
 menu tree via the DBus bus org.kde.StatusNotifierWatcher (SNI). An
 application providing such an indicator item is called an AppIndicator.
 .
 This package provides an SNI AppIndicator service that proxies panel
 menu items from AppIndicator application to a renderer supporting the
 Ayatana System Indicators implementation. It accepts connections from
 any application built against either of the available appindicator
 libraries: Ayatana AppIndicators, Ubuntu AppIndicators, or Qt's
 QSystemTrayIcon API.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,16 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_TESTS=ON \
+    -DENABLE_COVERAGE=OFF \
+    $(NULL)
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
-override_dh_autoreconf:
-	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
+override_dh_auto_configure:
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
 override_dh_install:
 	find debian/ayatana-indicator-application/usr/lib -name *.la -delete

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-application/ayatana-indicator-application-(.+)\.tar\.gz
